#!usr/bin/perl
=head1 NAME

SOUP.pl - This program performs single document extractive summarization.

Summarization
Of
Ustructured
Papers

=head1 SYNOPSIS

This document takes a text file and summarizes it.

=head1 USAGE

Usage: summarize.pl [OPTIONS] FILE

=head1 INPUT

=head2 FILE

Input file to summarize 

=head1 Optional Arguments:

=head2 --help

Displays the quick summary of program options.

=head1 OUTPUT

Output is a summarization of a document.

=head1 SYSTEM REQUIREMENTS

=over

=item * Perl (version 5.8.5 or better) - http://www.perl.org

=item * N-gram Statistics Package - http://search.cpan.org/dist/Text-NSP/

=item * Math::SparseVector -http://search.cpan.org/dist/Math-SparseVector

=back

=head1 CONTACT US
     
  Please contact us at:
    
      Bridget T. McInnes: bthomson at vcu.edu 

=head1 AUTHOR

 Bridget T. McInnes, Virginia Commonwealth University
 Tyler M. Pickering
 Sydney M. Hogue, George Mason University
 Isaac L. Barron, George Mason University

=head1 COPYRIGHT

Copyright (c) 2015

 Bridget T. McInnes, Virginia Commonwealth University
 bthomson at vcu.edu
    
This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

=cut

use Getopt::Long;
GetOptions("help");
if( defined $opt_help ) {
    $opt_help = 1;
    &showHelp();
    exit;
}

my $file = shift;

my $stop = "stoplist-nsp.regex";

my $cleanfile = $file . ".clean"; 
my $cntfile = $file . ".count";
my $statfile = $file . ".stat"; 
my $topicsfile = $file . ".topics";
#auto file needed files for user
if(-e $cleanfile) { 
    system "rm -rf $cleanfile";
}

if(-e $statfile) {
    system "rm -rf $statfile";
}

if(-e $topicsfile) {
    system "rm -rf $topicsfile";
}

if(-e $cntfile) {
    system "rm -rf $cntfile";
}

#calling content selection
system "perl contentselection.pl --filename $file --stop $stop --cleanfile $cleanfile --cntfile $cntfile --statfile $statfile --topics $topicsfile";

#calling info ordering
system "perl infoordering.pl --topics $topicsfile --text $file";

#help menu

sub showHelp() {

    print "\nThis is a program that takes a text file and summarizes.\n\n";

    print "Usage: perl summarize.pl [OPTIONS] <FILE>\n\n";

    print "OPTIONS: \n\n";

    print "--help                   Prints the help menu statement.\n\n";
}
